Sie sind nicht angemeldet.

Anzeigen

**Wir werden in den kommenden Tagen einen Umzug auf einen neuen Server durchführen. Im Rahmen dieser Maßnahme wird das Forum ca. 1 Stunde nicht erreichbar sein.** nslu2-info.de ist ein privates Projekt von mir, welches jeden Monat aus eigener Tasche finanziert wird. Mit einer freiwilligen Spende wird der Erhalt und der weitere Ausbau dieses Forums unterstützt. Um mich beim Erhalt des Forums zu unterstützen, kannst Du entweder via Flattr oder Paypal spenden. Ich bedanke mich schon jetzt bei allen Unterstützern.

Lieber Besucher, herzlich willkommen bei: Die NSLU2 Community****wenns ums speichern und streamen geht****. Falls dies Ihr erster Besuch auf dieser Seite ist, lesen Sie sich bitte die Hilfe durch. Dort wird Ihnen die Bedienung dieser Seite näher erläutert. Darüber hinaus sollten Sie sich registrieren, um alle Funktionen dieser Seite nutzen zu können. Benutzen Sie das Registrierungsformular, um sich zu registrieren oder informieren Sie sich ausführlich über den Registrierungsvorgang. Falls Sie sich bereits zu einem früheren Zeitpunkt registriert haben, können Sie sich hier anmelden.

happen

Anfänger

  • »happen« ist der Autor dieses Themas

Beiträge: 9

Firmwareversion / your current Firmware: Unslung 3.18

  • Nachricht senden

1

07.03.2005, 16:12

apache install

Hi,
ich habe ein problem bei der installation von apache:

----schnipp----
ipkg install apache
Installing apache (2.0.53-4) to root...
Downloading http://ipkg.nslu2-linux.org/feeds/unslun….53-4_armeb.ipk
ERROR: Cannot satisfy the following dependencies for apache:
openldap openldap
Nothing to be done
An error ocurred, return value: 1.
----schnapp----

Kann mir da wer helfen?
Danke und Gruss,
happen

Anzeigen

2

07.03.2005, 18:14

@happen

Hallo !

am einfachsten zuerst openldap installieren ! zu finden hier ;)

Openldap inst. die pakete > openldap,gdbm,libdb,openssl !
Apache inst. die pakete > apache,apr,apr-util,gdbm,expat,libdb,

Leider zeigt mir der apache keine Dateien über 2 GB an gib mir bitte bescheid ob das bei dir auch der Fall ist !

cu Tpol

Ps.Zuletzt solltest du noch das apache-manual nachinstallieren !

Anzeigen

happen

Anfänger

  • »happen« ist der Autor dieses Themas

Beiträge: 9

Firmwareversion / your current Firmware: Unslung 3.18

  • Nachricht senden

3

07.03.2005, 22:53

@tpol:
Danke probier ich gleich mal aus.

Wegen den 2GB, ich hab das nslu2 erst seit heute aber ich meine folgendes gelesen zu haben: Die aktuelle nslug 3.18 beta basiert auf einer älterern Firmware in der dieser 2GB Bug noch nicht gefixed ist. Von von der aktuellen Firmware ist der source noch nicht released, daher noch keine neue hacked version.

Gruss,
happen

happen

Anfänger

  • »happen« ist der Autor dieses Themas

Beiträge: 9

Firmwareversion / your current Firmware: Unslung 3.18

  • Nachricht senden

4

07.03.2005, 23:14

Ähm, gibt es irgendwo ein Howto wie ich runtergeladene *.ipk pakete installiert?
*hilfe* =)

5

07.03.2005, 23:19

@happen

Hi !
bitte

Zitat

ich hab das nslu2 erst seit heute

Na dan erstmal willkommen hier und noch viel spaß damit !

Zitat

ich meine folgendes gelesen zu haben: Die aktuelle nslug 3.18 beta basiert auf einer älterern Firmware in der dieser 2GB Bug noch nicht gefixed ist
jep auf basis 2.3r25 ! Wenn dir das noch mal unterkommt schick mir bitte den link > würd ich gerne lesen .....imho geht s da nur um den apache der den Fehler hat !!


cu Tpol

Ps.Ich kenne nur das !

Firmware Release Notes for NSLU2.
**************************************

Firmware version 2.3 Release 29

1.) Fixed large file lockup issue caused by files larger than 1GB being transfered across the network.

Firmware Version 2.3 Release 25
1.) Fixed the Internal Clock bug that caused the NSLU2 to lose time by minutes per day


Firmware Version 2.3 Release 24

1.) Corrected the Time Stamp bug found in original firmware 2.3R21.



und das stand im changelog vom apache,aber schon in der version apache_2.0.53-2_armeb.ipk


Remove compiled-in upper limit on LimitRequestFieldSize.
[Bill Stoddard]



*) Start keeping track of time-taken-to-process-request again for
mod_status if ExtendedStatus is enabled. [Jim Jagielski]



*) mod_proxy: Handle client-aborted connections correctly. PR 32443.
[Janne Hietamäki, Joe Orton]



*) Fix handling of files >2Gb on all platforms (or builds) where
apr_off_t is larger than apr_size_t. PR 28898. [Joe Orton]




*) mod_include: Fix bug which could truncate variable expansions
of N*64 characters by one byte. PR 32985. [Joe Orton]



*) Correct handling of certain bucket types in ap_save_brigade, fixing
possible segfaults in mod_cgi with #include virtual. PR 31247.
[Joe Orton]

happen

Anfänger

  • »happen« ist der Autor dieses Themas

Beiträge: 9

Firmwareversion / your current Firmware: Unslung 3.18

  • Nachricht senden

6

08.03.2005, 11:31

hm anscheinned habe ich immernoch ein Problem:

ipkg install apache
Package apache (2.0.53-4) installed in root is up to date.
Configuring apache
/opt/sbin/httpd: error while loading shared libraries: libiconv.so.2: cannot open shared object file: No such file or directory
/opt/sbin/httpd: error while loading shared libraries: libiconv.so.2: cannot open shared object file: No such file or directory
postinst script returned status 127
ERROR: apache.postinst returned 127
Nothing to be done

edit:
Openldap inst. die pakete > openldap,gdbm,libdb,openssl !
Apache inst. die pakete > apache,apr,apr-util,gdbm,expat,libdb,
---> ist alles installiert

Kann mir da jemand helfen?
Gruss,
happen

7

08.03.2005, 12:28

@happen

mach mal ein
ipkg install unslung-feeds und ipkg update ;) > und nochmal versuchen apache zu inst...

das sollte helfen sonst kannst du unter oben genannten link das libiconv .. paket downloaden und installieren !

cu tpol

davincino

Schüler

Beiträge: 80

Firmwareversion / your current Firmware: V2.3R25-uNSLUng-able-4.2-alpha

  • Nachricht senden

8

17.03.2005, 19:48

hallo, will mir auch apache installieren. aber wie installier ich openldap? habs mir nun runtergeladen. mit ipkg install openldap klappts nicht da es nicht in der liste "ipkg" steht. wo muss ich es auf die nslu schieben damit ich es installieren kann? mit welchem befehl klappts denn? danke schonmal im vorraus


EDIT: habe das paket runtergeladen und in /opt kopiert.
mit "ipkg install openldap_2.2.23-1_armeb.ipk" kommt aber ne fhlermeldung:
cannot find package............

hat wer ein tip für mich?

9

18.03.2005, 09:14

@davincino

Hallo,

1-Möglichkeit !

Quellcode

1
ipkg install /opt/*.ipk

installiert alle pakete in /opt



2-Möglichkeit !

um alle pakete in zukunft per I-net zu installieren folgendermasen vorgehen !
überprüfen ob du die Adresse http://ipkg.nslu2-linux.org/feeds/u...ble/Packages.gz pingen kannst !


Ps.Wenn nein mach mal diesen eintrag in die /etc/hosts !
66.159.209.60 ipkg.nslu2-linux.org


damit die einträge nicht nach dem nächsten reboot der Slug wieder weg sind kannst du die folgendermassen resident machen !


1.zuerst /etc/hosts zb nach /share/hdd/conf/ kopieren

2.danach /etc/hosts löschen

3.und folgenden symlink anlegen !

ln -s /share/hdd/conf/hosts /etc/hosts


ab nun bleiben die einträge in der "hosts" erhalten > selbst nach einen reboot !
Nun nochmals ein ipkg install unslung-feeds und ipkg update machen und jetzt solltest du alle Pakete per ipkg install übers INet installieren können ! ;)

cu Tpol

davincino

Schüler

Beiträge: 80

Firmwareversion / your current Firmware: V2.3R25-uNSLUng-able-4.2-alpha

  • Nachricht senden

10

18.03.2005, 15:43

das mit ipkg hat bei mir immer geklappt. das problem mit "openldap" war dass es nicht unter der standartadresse ....../unslung/UNSTABLE/packages sondern unter ........./unslung/NATIVES/packages zu finden war. somit war es in der liste der möglichen packeges nicht vorhanden. das mit "nach /opt/ schieben" und installieren hatt ich versucht, hatte aber nie pfadnamen dazu geschrieben da es an anderen beispielen nicht erwähnt wurde.
danke dir für die hilfe. kann man den download-pfad von ipkg irgendwo ändern? hatte rumgesucht aber nichts gefunden. muss doch irgendwo gespeichert sein. danke cu davincino.

11

18.03.2005, 18:16

Zitat

kann man den download-pfad von ipkg irgendwo ändern?
/etc/ipkg/unslung-feed.conf bzw /etc/ipkg/unslung-cross.conf u /etc/ipkg/unslung-native.conf ;)

Cu Tpol

davincino

Schüler

Beiträge: 80

Firmwareversion / your current Firmware: V2.3R25-uNSLUng-able-4.2-alpha

  • Nachricht senden

12

20.03.2005, 23:37

danke dir, genau das hatt ich gesucht:D

Social Bookmarks